//
//  ViewController.swift
//  AbbDatePickDemo
//
//  Created by abb on 16/8/3.
//  Copyright © 2016年 abb. All rights reserved.
//

import UIKit

class ViewController: UIViewController {
    
    

    override func viewDidLoad() {
        super.viewDidLoad()
        view.addSubview(btn)
        view.addSubview(datePick)
        view.backgroundColor = UIColor.redColor()
        datePick.didFinishSelect = { [weak self] (date) in
            print(date)
        }
    }
    func showDatePickeView () {
        datePick.showInView()
    }
    private lazy var btn:UIButton = {
        let btn = UIButton(frame: CGRect(x: 100, y: 100, width: 100, height: 100))
        btn.addTarget( self, action: #selector(showDatePickeView), forControlEvents: .TouchUpInside)
        btn.setTitle("选择日期", forState: .Normal)
        return btn
    }()

    private lazy var datePick:AbbDatePickView = {
        let minDate = NSDate()
        let maxDate = NSDate(timeIntervalSinceReferenceDate: minDate.timeIntervalSinceReferenceDate + 64*3600)
        let dp = AbbDatePickView(cornorType: CornorType.Circle, minDate: minDate, maxDate: maxDate, showOnlyValidDates: true)
        return dp
    }()

}

